function newSprt02020Control(pageName, doctx="[data-doctx='sprt02020']", mainPageName="sprt02010") {
    let ctrlCrdn = new DatasetControl({
          doctx: doctx
        , prefix: "crdn"
        , prefixName: "단속"
        , dataGetter: obj => obj["crdnPayerInfo"]
        , keys: ["CRDN_ID"]
        , urls: {
              load: "/list.do"
            , getInfo: "/info.do"
        }
    });

    /**************************************************************************
     * DatasetControl Events
     **************************************************************************/
    // 현재 선택 자료 변경 이벤트
    ctrlCrdn.onCurrentChange = (item) => {
        if (!item) return;

        // 화면에 단속 Dataset 셋팅
        let formFields = new FimsFormFields(ctrlCrdn.selector("[name='frmCrdnPayer']"));
        formFields.set(ctrlCrdn, item);
    };

    // 상세 정보 dialog
    ctrlCrdn.getInfo = (params) => {
        if (!params) return;

        ajax.get({
              url: wctx.url("/crdn/crdn06/020/info.do")
            , data: params || {}
            , success: (resp) => {
                let dialogName = ctrlCrdn.prefixed("Dialog");
                let dialogId = dialogName + "-" + uuid();

                dialog.open({
                      id: dialogId
                    , title: params.btnTitle
                    , size: "lg"
                    , content: resp
                    , init: () => {
                        $("#" + dialogId).attr("name", dialogName);
                        $("#" + dialogId).attr("data-ref-doctx", pageName);

                        AppSupport.setDialogZindex();
                    }
                    , onClose: () => { pageObject[pageName].fnRefresh(); }           // 정보 새로고침
                });
            }
        });
    }

    // 삭제 callback
    ctrlCrdn.onRemove = (params, resp) => {
        let showMessage = resp.rtnMsg.replace(/[S]|[F]/g, params.btnTitle);

        dialog.alert({
              content: showMessage
            , init: () => { AppSupport.setDialogZindex(); }
            , onOK: resp.saved ? undefined : () => { }
            , onClose: () => {
                if (resp.saved) { pageObject[mainPageName].fnClose(true); }
            }
        });
    }

    // 삭제
    ctrlCrdn.remove = (params) => {
        if (!params) return;

        ajax.post({
              url: wctx.url("/crdn/crdn06/010/remove.do")
            , data: params || {}
            , success: (resp) => { ctrlCrdn.onRemove(params, resp); }
        });
    }

    return ctrlCrdn;
}